import SolidElement from '../../internal/solid-element';
import type { PropertyValues } from 'lit';
export default class SdHeader extends SolidElement {
    fixed: boolean;
    header: HTMLElement;
    private resizeObserver?;
    connectedCallback(): void;
    disconnectedCallback(): void;
    firstUpdated(): void;
    updated(changedProperties: PropertyValues): void;
    private addResizeObserver;
    private updateCalculatedHeight;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-6-22-0-header': SdHeader;
    }
}
